Subject: [PMOL] Revised Charter

From: Al Morton <[email-masked]>
Date: Mon, 15 Oct 2007 08:32:26 -0400

Folks,
here's the latest version of the charter text,
addressing most, if not all, comments to date.
Al

Proposed Charter (0.3)

Performance Metrics at Other Layers WG (PMOL)

The successful implementation and operation of IP based applications 
often depends
on some underlying performance measurement infrastructure that helps service
operators or network managers to recognize when performance is unsatisfactory
and identify problems affecting service quality.  Standardized performance
metrics add the desirable features of consistent implementation, 
interpretation,
nd comparison.

The IETF has two Working Groups dedicated to the development of 
performance metrics
however each has strict limitations in their charters:

   - The Benchmarking Methodology WG has addressed a range of 
networking technologies
     and protocols in their long history (such as IEEE 802.3, ATM, 
Frame Relay, and
     Routing Protocols), but the charter strictly limits their performance
     characterizations to the laboratory environment.

   - The IP Performance Metrics WG has the mandate to develop metrics 
applicable
     to the performance of Internet data delivery, but it is 
specifically prohibited
     from developing metrics that characterize traffic (such as a VoIP stream).

The IETF also has current and completed activities related to the reporting of
application performance metrics (e.g. RAQMON and RTCP XR) and is also actively
involved in the development of reliable transport protocols which 
would affect the
relationship between IP performance and application performance.

Thus there is a gap in the currently chartered coverage of IETF WGs:
development of performance metrics for IP-based applications that 
operate over UDP,
TCP, SCTP, DCCP, Forward Error Correction (FEC) and other robust 
transport protocols,
and that can be used to characterize traffic on live networks.

The working group will focus on the completion of two RFCs:

1. A PMOL framework and guidelines memo that documents the motivation
     for work to define performance metrics for applications transported
     over IETF-specified protocols, and how that work fills a need and a gap
     in IETF-chartered work (motivation and gap identification having 
been part
     of the original BOF proposal). The framework will describe the necessary
     elements of performance metric drafts (such as the formal definition,
     purpose, and units of measure) and the various types of metrics
     that may be prepared in this work (such as metrics derived from other
     metrics, possibly on lower layers). The framework will also address the
     need to specify the intended audience and the motivation for the
     performance metrics. There will also be guidelines for a performance
     metric development process that includes entry criteria for
     new proposals (how a proposal might be evaluated for possible
     endorsement by a protocol development working group), and how a
     successful proposal will be developed by PMOL WG in cooperation with a
     protocol development WG.

2. A proof-of-concept RFC defining performance metrics for SIP, based on
     draft-malas-performance-metrics.  This memo would serve as an example of
     the framework and the PMOL development process in the IETF.

Discussion of new work proposals is strongly discouraged under
the initial charter of the PMOL WG, except to advise a protocol development
WG when they are evaluating a new work proposal for related 
performance metrics.

The PMOL WG will also be guided by a document describing how memos
defining performance metrics are intended to advance along the IETF
Standards track (draft-bradner-metricstest).

PMOL WG will take advantage of expertise and seek to avoid overlap with
other standards development organizations, such as ETSI STQ, ITU-T SG 12,
ATIS IIF, ATIS PRQC, and others.

Milestones
June 08  SIP Performance Metrics Draft to IESG Review
Sept 08  PMOL Framework and Guidelines Draft to IESG Review

_______________________________________________
PMOL mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pmol

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 15 Oct 2007 14:42:47 +0200

I would add to the milestones that the framework document will be
considered for BCP and the SIP Performance metrics document as
standards-track. 

Dan

> -----Original Message-----
> From: Al Morton [mailto:[email-masked]] 
> Sent: Monday, October 15, 2007 2:32 PM
> To: [email-masked]
> Subject: [PMOL] Revised Charter
> 
> Folks,
> here's the latest version of the charter text, addressing 
> most, if not all, comments to date.
> Al
> 
> Proposed Charter (0.3)
> 
> 
> The successful implementation and operation of IP based 
> applications often depends on some underlying performance 
> measurement infrastructure that helps service operators or 
> network managers to recognize when performance is 
> unsatisfactory and identify problems affecting service 
> quality.  Standardized performance metrics add the desirable 
> features of consistent implementation, interpretation, nd comparison.
> 
> The IETF has two Working Groups dedicated to the development 
> of performance metrics however each has strict limitations in 
> their charters:
> 
>      and protocols in their long history (such as IEEE 802.3, 
> ATM, Frame Relay, and
>    - The IP Performance Metrics WG has the mandate to develop 
> metrics applicable
> The IETF also has current and completed activities related to 
> the reporting of application performance metrics (e.g. RAQMON 
> and RTCP XR) and is also actively involved in the development 
> of reliable transport protocols which would affect the 
> development of performance metrics for IP-based applications 
> that operate over UDP, TCP, SCTP, DCCP, Forward Error 
> Correction (FEC) and other robust transport protocols, and 
> that can be used to characterize traffic on live networks.
> 
>      in IETF-chartered work (motivation and gap 
> identification having been part
> Discussion of new work proposals is strongly discouraged 
> under the initial charter of the PMOL WG, except to advise a 
> protocol development WG when they are evaluating a new work 
> proposal for related performance metrics.
> 
> The PMOL WG will also be guided by a document describing how 
> memos defining performance metrics are intended to advance 
> along the IETF Standards track (draft-bradner-metricstest).
> 
> PMOL WG will take advantage of expertise and seek to avoid 
> overlap with other standards development organizations, such 
> as ETSI STQ, ITU-T SG 12, ATIS IIF, ATIS PRQC, and others.
> 
> Milestones
> June 08  SIP Performance Metrics Draft to IESG Review Sept 08 
>  PMOL Framework and Guidelines Draft to IESG Review
> 
> 
>